Start import
curl --request POST \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId}/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"postUrl": "<string>",
"search": "<unknown>",
"content": "<string>",
"fileName": "<string>",
"keyword": "<string>",
"filters": [
"<string>"
]
}
'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}/import"
payload = {
"accountId": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"postUrl": "<string>",
"search": "<unknown>",
"content": "<string>",
"fileName": "<string>",
"keyword": "<string>",
"filters": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
targetHandle: '<string>',
targetTweetId: '<string>',
postUrl: '<string>',
search: '<unknown>',
content: '<string>',
fileName: '<string>',
keyword: '<string>',
filters: ['<string>']
})
};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'targetHandle' => '<string>',
'targetTweetId' => '<string>',
'postUrl' => '<string>',
'search' => '<unknown>',
'content' => '<string>',
'fileName' => '<string>',
'keyword' => '<string>',
'filters' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}/import"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"targetHandle\": \"<string>\",\n \"targetTweetId\": \"<string>\",\n \"postUrl\": \"<string>\",\n \"search\": \"<unknown>\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\",\n \"keyword\": \"<string>\",\n \"filters\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reachhunt.ai/api/v1/leads/{leadListId}/import")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"targetHandle\": \"<string>\",\n \"targetTweetId\": \"<string>\",\n \"postUrl\": \"<string>\",\n \"search\": \"<unknown>\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\",\n \"keyword\": \"<string>\",\n \"filters\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"targetHandle\": \"<string>\",\n \"targetTweetId\": \"<string>\",\n \"postUrl\": \"<string>\",\n \"search\": \"<unknown>\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\",\n \"keyword\": \"<string>\",\n \"filters\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"lead": {
"id": "3f1c2a9e-7b4d-4e2a-9c1f-5d8e6a7b9c0d",
"name": "SaaS founders",
"status": "completed",
"platform": "linkedin",
"profiles": 812,
"reachable": 640,
"totalCount": 1200,
"syncError": null,
"favorite": false,
"createdAt": "2026-10-05T08:12:00.000Z",
"syncBatch": 123,
"jobs": [
{
"id": "<string>",
"sourceType": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"status": "pending",
"syncedCount": 123,
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"error": "<string>",
"accountId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"targetName": "<string>",
"targetAvatarUrl": "<string>",
"syncBatch": 123,
"scannedCount": 123,
"isFiltered": true
}
]
},
"job": {
"id": "<string>",
"sourceType": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"status": "pending",
"syncedCount": 123,
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"error": "<string>",
"accountId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"targetName": "<string>",
"targetAvatarUrl": "<string>",
"syncBatch": 123,
"scannedCount": 123,
"isFiltered": true
},
"skipped": "<unknown>"
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Lead lists
Start import
Starts filling a lead list from a source, such as an account’s followers, a post’s likes or a LinkedIn search. The import runs in the background.
POST
/
leads
/
{leadListId}
/
import
Start import
curl --request POST \
--url https://api.reachhunt.ai/api/v1/leads/{leadListId}/import \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountId": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"postUrl": "<string>",
"search": "<unknown>",
"content": "<string>",
"fileName": "<string>",
"keyword": "<string>",
"filters": [
"<string>"
]
}
'import requests
url = "https://api.reachhunt.ai/api/v1/leads/{leadListId}/import"
payload = {
"accountId": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"postUrl": "<string>",
"search": "<unknown>",
"content": "<string>",
"fileName": "<string>",
"keyword": "<string>",
"filters": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountId: '<string>',
targetHandle: '<string>',
targetTweetId: '<string>',
postUrl: '<string>',
search: '<unknown>',
content: '<string>',
fileName: '<string>',
keyword: '<string>',
filters: ['<string>']
})
};
fetch('https://api.reachhunt.ai/api/v1/leads/{leadListId}/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reachhunt.ai/api/v1/leads/{leadListId}/import",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'accountId' => '<string>',
'targetHandle' => '<string>',
'targetTweetId' => '<string>',
'postUrl' => '<string>',
'search' => '<unknown>',
'content' => '<string>',
'fileName' => '<string>',
'keyword' => '<string>',
'filters' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reachhunt.ai/api/v1/leads/{leadListId}/import"
payload := strings.NewReader("{\n \"accountId\": \"<string>\",\n \"targetHandle\": \"<string>\",\n \"targetTweetId\": \"<string>\",\n \"postUrl\": \"<string>\",\n \"search\": \"<unknown>\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\",\n \"keyword\": \"<string>\",\n \"filters\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.reachhunt.ai/api/v1/leads/{leadListId}/import")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"accountId\": \"<string>\",\n \"targetHandle\": \"<string>\",\n \"targetTweetId\": \"<string>\",\n \"postUrl\": \"<string>\",\n \"search\": \"<unknown>\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\",\n \"keyword\": \"<string>\",\n \"filters\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reachhunt.ai/api/v1/leads/{leadListId}/import")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"accountId\": \"<string>\",\n \"targetHandle\": \"<string>\",\n \"targetTweetId\": \"<string>\",\n \"postUrl\": \"<string>\",\n \"search\": \"<unknown>\",\n \"content\": \"<string>\",\n \"fileName\": \"<string>\",\n \"keyword\": \"<string>\",\n \"filters\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"status": true,
"data": {
"lead": {
"id": "3f1c2a9e-7b4d-4e2a-9c1f-5d8e6a7b9c0d",
"name": "SaaS founders",
"status": "completed",
"platform": "linkedin",
"profiles": 812,
"reachable": 640,
"totalCount": 1200,
"syncError": null,
"favorite": false,
"createdAt": "2026-10-05T08:12:00.000Z",
"syncBatch": 123,
"jobs": [
{
"id": "<string>",
"sourceType": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"status": "pending",
"syncedCount": 123,
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"error": "<string>",
"accountId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"targetName": "<string>",
"targetAvatarUrl": "<string>",
"syncBatch": 123,
"scannedCount": 123,
"isFiltered": true
}
]
},
"job": {
"id": "<string>",
"sourceType": "<string>",
"targetHandle": "<string>",
"targetTweetId": "<string>",
"status": "pending",
"syncedCount": 123,
"profiles": 123,
"reachable": 123,
"totalCount": 123,
"error": "<string>",
"accountId": "<string>",
"startedAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"targetName": "<string>",
"targetAvatarUrl": "<string>",
"syncBatch": 123,
"scannedCount": 123,
"isFiltered": true
},
"skipped": "<unknown>"
},
"error": null
}{
"status": false,
"data": null,
"error": "Not authenticated"
}{
"status": false,
"data": null,
"error": "Your free trial has ended. Pick a plan to continue."
}{
"status": false,
"data": null,
"error": "Something went wrong. Please try again."
}Path Parameters
The lead list ID.
Body
application/json
Where the people come from.
Available options:
followers, following, retweets, tweet_likes, tweet_replies, list_members, list_followers, csv, plain_text, x_database, li_group, li_post_likes, li_post_comments, li_following, li_followers, li_connections, li_search, li_chat, chat The account that runs the import.
For account sources: the handle to read from.
For post sources on X: the post ID.
For LinkedIn post sources: the post link.
For li_search: the search to run.
For csv and plain_text: the file content.
For csv: the file name.
Optional keyword to keep only matching people.
Optional filters for who to keep.
Optional. Must match the list's network.
Available options:
x, linkedin